﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BasicMaze
{
    /// <summary>
    /// A simple structure for storing an X and Y position.
    /// </summary>
    public class Position
    {
        private int _xPosition;
        /// <summary>
        /// Fetch X-coordinate of Position
        /// </summary>
        public int XPosition
        {
            get { return _xPosition; }
        }

        private int _yPosition;
        /// <summary>
        /// Fetch Y-coordinate of Position
        /// </summary>
        public int YPosition
        {
            get { return _yPosition; }
        }

        /// <summary>
        /// Create a new Position.
        /// </summary>
        /// <param name="xPosition">X-coordinate of new Position</param>
        /// <param name="yPosition">Y-coordinate of new Position</param>
        public Position(int xPosition, int yPosition)
        {
            _xPosition = xPosition;
            _yPosition = yPosition;
        }
    }
}
