﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Maize
{
    /// <summary>
    /// A subclass of Panel that has double buffering applied
    /// </summary>
    public class MyPanel : System.Windows.Forms.Panel
    {
        /// <summary>
        /// Create a new double-buffered MyPanel
        /// </summary>
        public MyPanel()
        {
            this.SetStyle(System.Windows.Forms.ControlStyles.UserPaint | System.Windows.Forms.ControlStyles.AllPaintingInWmPaint
                | System.Windows.Forms.ControlStyles.OptimizedDoubleBuffer, true);
        }
    }
}